#ifndef INTEGRAL_H
#define INTEGRAL_H

#include <functional>

double GaussLobattoIntStep(const std::function<double(double)>& f, 
			   double a, double b,
			   double fa, double fb,
			   size_t &neval,
			   size_t maxeval,
			   double acc);

double GaussLobattoInt(const std::function<double(double)>& f, 
		       double a, double b,
		       double abstol=1e-10, 
		       size_t maxeval=1000);

#endif
